<template>
  <div class="max-big-box">
    <div class="big-max-box" v-if="newModifyPageType">
      <!--操作按钮-->
      <div class="top-box">
        <div class="input-box">
          <input class="search-input" type="text" v-model="inputData" placeholder="请输入姓名/手机号关键字查询">
          <div class="dropdown-box" v-for="(item,index) in downList" :key="index">
            <p class="dropdown-left-title">{{item.name}}：</p>
            <div class="dropdown-right-box cursor_pointer"
                 @mouseenter="dropdownClickOpen(index,'1')" @mouseleave="dropdownClickOpen(index,'2')">
              <p class="dropdown-text">{{downList[index].downText}}</p>
              <div class="dropdown-for-max" v-if="downList[index].downType">
                <p v-for="(item,indexTwo) in downList[index].list" :key="indexTwo"
                   :class="{'color-A':downList[index].mouseColor == item}"
                   @mouseenter="colorTypeEnter(index,item)" @mouseleave="colorTypeLeave(index)"
                   @click="dropdownClick(index,item)">{{item}}</p>
              </div>
            </div>
          </div>
          <div class="time-box">
            <p>创建时间：</p>
            <p class="cursor_pointer" @click="openTimeBox('1')">{{playTime}}</p>
            <p>-</p>
            <p class="cursor_pointer" @click="openTimeBox('2')">{{endTime}}</p>
          </div>
          <div class="button-box cursor_pointer" @click="clickQuery">
            <img src="~@/assets/images/icon_27.png">
            <p class="cursor_pointer">查询</p>
          </div>
        </div>
        <p class="add-button cursor_pointer" @click="clickPageType" v-if="userPermsData.indexOf('system:user:add')!=-1">新增</p>
        <p class="del-button cursor_pointer" @click="allDel" v-if="userPermsData.indexOf('system:user:remove')!=-1">批量删除</p>
        <p class="text-p">已选择{{tableNum}}条</p>
      </div>
      <!--表格-->
      <div class="table-box">
        <el-table
          ref="multipleTable"
          :row-key="getRowKey"
          :data="tableData"
          tooltip-effect="dark"
          style="width: 100%"
          @select-all="handleSelectionChange"
          @select="handleSelectionChange">
          <el-table-column
            :reserve-selection="true"
            type="selection"
            width="60">
          </el-table-column>
          <el-table-column
            type="index"
            :index="indexMethod"
            label="序号"
            width="82">
          </el-table-column>
          <el-table-column
            prop="nickName"
            label="姓名"
            width="108">
          </el-table-column>
          <el-table-column
            label="性别"
            width="105">
            <template slot-scope="scope">
              {{scope.row.sex==0?"男":(scope.row.sex==1?"女":"")}}
            </template>
          </el-table-column>
          <el-table-column
            label="机构"
            width="141">
            <template slot-scope="scope">
              {{scope.row.dept.deptName}}
            </template>
          </el-table-column>
          <el-table-column
            prop="postName"
            label="岗位"
            width="141">
          </el-table-column>
          <el-table-column
            prop="phonenumber"
            label="手机号"
            width="100">
          </el-table-column>
          <el-table-column
            prop="userName"
            label="账户名"
            width="112">
          </el-table-column>
          <el-table-column
            prop="roleName"
            label="角色名称"
            width="160">
          </el-table-column>
          <el-table-column
            prop="createTime"
            label="创建时间"
            width="170">
          </el-table-column>
          <el-table-column
            label="更新时间"
            width="179">
            <template slot-scope="scope">
              {{scope.row.dept.updateTime}}
            </template>
          </el-table-column>
          <el-table-column
            v-if="userPermsData.indexOf('system:user:edit')!=-1"
            label="状态"
            width="120">
            <template slot-scope="scope">
              <img class="cursor_pointer" @click="userChangeStatus(scope.row)" v-if="scope.row.status==0" src="~@/assets/images/icon_35.png">
              <img class="cursor_pointer" @click="userChangeStatus(scope.row)" v-else src="~@/assets/images/icon_34.png">
            </template>
          </el-table-column>
          <el-table-column
            label="操作"
            width="218">
            <template slot-scope="scope">
              <div class="table-min-button">
                <div class="cursor_pointer"
                     v-if="userPermsData.indexOf('system:user:edit')!=-1"
                     @click="handleEdit(scope.$index, scope.row)">
                  <img src="~@/assets/images/icon_37.png">
                  <p>编辑</p>
                </div>
                <div class="cursor_pointer"
                     v-if="userPermsData.indexOf('system:user:remove')!=-1"
                     @click="handleDelete(scope.$index, scope.row)">
                  <img src="~@/assets/images/icon_38.png">
                  <p>删除</p>
                </div>
              </div>
            </template>
          </el-table-column>
        </el-table>
      </div>
      <el-pagination
        background
        @current-change="handleCurrentChange"
        layout="prev, pager, next"
        :current-page="currentPage"
        :page-size="pagesize"
        :total="total">
      </el-pagination>
      <!--时间日历-->
      <div class="time-max-big-box" v-if="timeType!=0">
        <div class="time-big-box">
          <el-calendar class="time-min-box" v-model="timeValue">
          </el-calendar>
          <div class="button-box">
            <p class="cursor_pointer" @click="openTimeBox('0')">返回</p>
            <p class="cursor_pointer" @click="clearTimeData">清除</p>
            <p class="cursor_pointer" @click="setTimeData">确定</p>
          </div>
        </div>
      </div>
    </div>
    <new-modify v-else
      :newModifyData="newModifyData"
      @newModifyLeftClick="newModifyLeftClick"
      @newModifyRightClick="newModifyRightClick"
    ></new-modify>
    <interactive-window
      v-if="windowType"
      :windowData="windowData"
      @windowLeftClick="windowLeftClick"
      @windowRightClick="windowRightClick"
    ></interactive-window>
  </div>
</template>

<script>
  import { userList,userDel,roleListRole,deptListOrg,userAdd,userEditor,userChangeStatus,postBottomList } from '@/api/userApi'
  export default {
    name: "accountManagement",//账号管理
    components:{
      newModify: resolve => {require(['@/components/newModify'], resolve)},//新建-修改组件
      interactiveWindow: resolve => {require(['@/components/interactiveWindow'], resolve)},//提示弹窗
    },
    data () {
      return {
        userPermsData:localStorage.getItem('userPerms'),
        inputData:"",
        //页面切换状态
        pageType:true,
        //日历时间
        timeValue: new Date(),
        timeType:0,
        //下拉框
        downList:[
          {
            name:"角色名称",
            downType:false,
            downText:"全部",
            mouseColor:"",
            list:[],
            idType:[]
          },
          {
            name:"状态",
            downType:false,
            downText:"全部",
            mouseColor:"",
            list:["全部","已启用","已禁用"],
            idType:["","0","1"]
          },
        ],
        //搜索时间
        playTime:"请选择时间",
        endTime:"请选择时间",
        //表格限制
        pagesize: 8,
        currentPage:1,
        //列表总数
        total:0,
        /*数据*/
        tableData:[],
        //勾选
        multipleSelection:[],
        tableNum:0,
        //给组件传参数据
        dataInfo:{},
        // 弹窗状态
        windowType:false,
        //弹窗组件数据
        windowData:{},
        // 新增-修改页面状态
        newModifyPageType:true,
        //新增-修改页面数据
        newModifyData:{},
        //机构列表
        institutionsList:[],
        //角色列表
        roleList:[],
        //岗位数据
        postBottomListData:[]

      }
    },

    created(){

    },
    mounted() {
      this.roleListRole();
      this.deptListOrg();
      this.postBottomList();
    },
    methods: {
      //获取岗位数据
      async postBottomList () {
        let self = this;
        const { data } = await postBottomList();
        if(data.code==200){
          this.postBottomListData = data.data;
        }
      },
      //点击查询
      clickQuery(){
        this.currentPage = 1;
        this.getListData();
      },
      // 单独删除
      async clickDel(id){
        let ids = [];
        ids.push(id)
        const { data } = await userDel(ids);
        if(data.code==200){
          this.windowData = {
            type:"2",
            title:"提示",
            text:"操作成功",
          };
          this.windowType = !this.windowType;
          this.$refs.multipleTable.clearSelection();
          this.getListData();
        }
      },
      //批量删除
      async clickAllDel () {
        let self = this;
        let ids = [];
        for(let i=0;i<self.multipleSelection.length;i++){
          ids.push(self.multipleSelection[i].userId)
        }
        const { data } = await userDel(ids);
        if(data.code==200){
          this.windowData = {
            type:"2",
            title:"提示",
            text:"操作成功",
          };
          this.windowType = !this.windowType;
          this.$refs.multipleTable.clearSelection();
          this.getListData();
        }
      },
      //数据列表
      async getListData () {
        let self = this;
        let obj={
          searchValue:self.inputData,
          roleId:"",
          status:"",
          pageSize:self.pagesize,
          pageNum:self.currentPage,
          "params[beginTime]":self.playTime=="请选择时间"?"":self.playTime,
          "params[endTime]":self.endTime=="请选择时间"?"":self.endTime,
        };
        for(let i=0;i<self.downList[0].list.length;i++){
          if(self.downList[0].downText==self.downList[0].list[i]){
            obj.roleId = self.downList[0].idType[i];
          }
        }
        for(let i=0;i<self.downList[1].list.length;i++){
          if(self.downList[1].downText==self.downList[1].list[i]){
            obj.status = self.downList[1].idType[i];
          }
        }
        const { data } = await userList(obj);
        if(data.code==200){
          this.tableData = data.rows;
          this.total = data.total;
          this.tableNum = 0;
          this.$forceUpdate();
        }
      },
      //角色列表下拉
      async roleListRole () {
        let self = this;
        const { data } = await roleListRole();
        if(data.code==200){
          let list = [];
          let idType = [];
          list.push("全部");
          idType.push("");
          for(let i=0;i<data.data.length;i++){
            list.push(data.data[i].roleName);
            idType.push(data.data[i].roleId);
          }
          self.downList[0].list = list;
          self.downList[0].idType = idType;
          this.roleList = data.data;
          this.getListData();
        }
      },
      //机构列表
      async deptListOrg () {
        const { data } = await deptListOrg();
        if(data.code==200){
          this.institutionsList = data.data;
        }
      },
      //新建组件状态切换
      clickPageType(){
        let self = this;
        let newData = {
          title:"新增",
          type:"1",
          list:[
            {
              name:"姓名",
              value:"",
            },
            {
              name:"性别",
              value:"请选择",
              list:["男","女"]
            },
            {
              name:"机构",
              value:"请选择",
              list:[]
            },
            {
              name:"岗位",
              value:"请选择",
              list:[]
            },
            {
              name:"手机号",
              value:"",
            },
            {
              name:"账户名",
              value:"",
            },
            {
              name:"角色名称",
              value:"请选择",
              list:[]
            },
            {
              name:"状态",
              value:true,
              switch:true
            },
            {
              name:"默认密码",
              value:"123456",
              textType:true,
            },
          ]
        };
        for(let i=0;i<self.institutionsList.length;i++){
          newData.list[2].list.push(self.institutionsList[i].deptName);
        }
        for(let i=0;i<self.roleList.length;i++){
          newData.list[6].list.push(self.roleList[i].roleName);
        }
        for(let i=0;i<self.postBottomListData.length;i++){
          newData.list[3].list.push(self.postBottomListData[i].postName);
        }
        this.newModifyData = {...newData};
        this.newModifyPageType = !this.newModifyPageType;
      },
      // 批量删除
      allDel(){
        if(this.multipleSelection[0]){
          this.windowData = {
            type:"1",
            title:"提示",
            text:"确定要批量删除这些信息吗?",
            leftButton:"取消",
            rightButton:"确定",
            cType:"1",
          };
          this.windowType = !this.windowType;
        }else{
          this.windowData = {
            type:"3",
            title:"提示",
            text:"您没有勾选任何数据!",
          };
          this.windowType = !this.windowType;
        }
      },
      //新增-修改组件内左侧按钮事件
      newModifyLeftClick(){
        this.newModifyPageType = !this.newModifyPageType;
      },
      //新增-修改组件内左侧按钮事件
      newModifyRightClick(data){
        //检查输入
        let regu =/^\w+$/;
        let re = new RegExp(regu);
        if(!data.list[0].value){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请输入姓名",
          };
          this.windowType = !this.windowType;
          return
        }else if(!re.test(data.list[5].value)){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"账号只能是字母或数字与下划线",
          };
          this.windowType = !this.windowType;
          return
        }else if(data.list[1].value=="请选择"){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请选择性别",
          };
          this.windowType = !this.windowType;
          return
        }else if(data.list[2].value=="请选择"){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请选择机构",
          };
          this.windowType = !this.windowType;
          return
        }else if(data.list[4].value.length!==11){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请输入正确的手机号",
          };
          this.windowType = !this.windowType;
          return
        }else if(!data.list[5].value){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请输入账户名",
          };
          this.windowType = !this.windowType;
          return
        }else if(data.list[6].value=="请选择"){
          this.windowData = {
            type:"3",
            title:"提示",
            text:"请选择角色",
          };
          this.windowType = !this.windowType;
          return
        }
        if(data.type=="1"){
          //新增
          this.userAdd(data);
        }else{
          //编辑
          this.userEditor(data);
        }
      },
      // 新增用户
      async userAdd(item){
        let self = this;
        let obj = {
          nickName:item.list[0].value,
          sex:item.list[1].value=="男"?"0":(item.list[1].value=="女"?"1":""),
          deptId:"",
          phonenumber:item.list[4].value,
          userName:item.list[5].value,
          roleName:"",
          roleIds:[],
          status:item.list[7].value==true?"0":(item.list[7].value==false?"1":""),
          postIds:[],
        };
        for(let i=0;i<self.institutionsList.length;i++){
          if (item.list[2].value==self.institutionsList[i].deptName) {
            obj.deptId = self.institutionsList[i].deptId
          }
        }
        for(let i=0;i<self.roleList.length;i++){
          if (item.list[6].value==self.roleList[i].roleName) {
            obj.roleIds.push(self.roleList[i].roleId)
          }
        }
        for(let i=0;i<self.postBottomListData.length;i++){
          if (item.list[3].value==self.postBottomListData[i].postName) {
            obj.postIds.push(self.postBottomListData[i].postId)
          }
        }
        const { data } = await userAdd(obj);
        if(data.code==200){
          this.newModifyPageType = !this.newModifyPageType;
          this.windowData = {
            type:"2",
            title:"提示",
            text:"操作成功",
          };
          this.windowType = !this.windowType;
          this.getListData();
        }
      },
      //编辑
      async userEditor(item){
        let self = this;
        let obj = {
          userId:item.userId,
          nickName:item.list[0].value,
          sex:item.list[1].value=="男"?"0":(item.list[1].value=="女"?"1":""),
          deptId:"",
          phonenumber:item.list[4].value,
          userName:item.list[5].value,
          roleIds:[],
          status:item.list[7].value==true?"0":(item.list[7].value==false?"1":""),
          postIds:[],
        };
        for(let i=0;i<self.institutionsList.length;i++){
          if (item.list[2].value==self.institutionsList[i].deptName) {
            obj.deptId = self.institutionsList[i].deptId
          }
        }
        for(let i=0;i<self.roleList.length;i++){
          if (item.list[6].value==self.roleList[i].roleName) {
            obj.roleIds.push(self.roleList[i].roleId)
          }
        }
        for(let i=0;i<self.postBottomListData.length;i++){
          if (item.list[3].value==self.postBottomListData[i].postName) {
            obj.postIds.push(self.postBottomListData[i].postId)
          }
        }
        const { data } = await userEditor(obj);
        if(data.code==200){
          this.newModifyPageType = !this.newModifyPageType;
          this.windowData = {
            type:"2",
            title:"提示",
            text:"操作成功",
          };
          this.windowType = !this.windowType;
          this.getListData();
        }
      },
      //表格绑定ID
      getRowKey (row) {
        return row.id
      },
      indexMethod(index) {
        return (this.currentPage-1)*this.pagesize+index+1;
      },
      //时间选择事件
      openTimeBox(type){
        this.timeType=type
      },
      setTimeData(){
        let year = this.timeValue.getFullYear();
        let month = this.timeValue.getMonth()+1;
        let day = this.timeValue.getDate();
        if(this.timeType==1){
          this.playTime = year+'-'+month+'-'+day;
        }else if(this.timeType==2){
          this.endTime = year+'-'+month+'-'+day;
        }
        this.timeType = 0;
      },
      clearTimeData(){
        if(this.timeType==1){
          this.playTime = "请选择时间";
        }else if(this.timeType==2){
          this.endTime = "请选择时间";
        }
        this.timeType = 0;
      },
      clearTimeData(){
        if(this.timeType==1){
          this.playTime = "请选择时间";
        }else if(this.timeType==2){
          this.endTime = "请选择时间";
        }
        this.timeType = 0;
      },

      //机构列表
      async userChangeStatus (row) {
        let obj = {
          userId:row.userId,
          status:row.status==0?1:(row.status==1?0:""),
        };
        const { data } = await userChangeStatus(obj);
        if(data.code==200){
          let text = "";
          if(row.status==0){
            row.status=1;
            text = "禁用成功"
          }else if(row.status==1){
            row.status=0;
            text = "启用成功"
          }
          this.windowData = {
            type:"3",
            title:"提示",
            text:text,
          };
          this.windowType = !this.windowType;
          this.$forceUpdate();
        }
      },
      // 状态开关点击
      imgClick(data){
        if(data.status==0){
          data.status=1
        }else{
          data.status=0
        }
      },
      //下拉菜单进入悬浮状态
      colorTypeEnter(type,item){
        this.downList[type].mouseColor=item;
      },
      //下拉菜单离开悬浮状态
      colorTypeLeave(type){
        this.downList[type].mouseColor = "";
      },
      // 下拉菜单选项悬浮事件
      dropdownClickOpen(type,state){
        if(state==1){
          this.downList[type].downType = true
        }else if(state==2){
          this.downList[type].downType = false
        }
      },
      // 下拉菜单点击事件
      dropdownClick(type,item){
        this.downList[type].downText = item;
        this.downList[type].downType = false;
      },
      //翻页
      handleCurrentChange(val) {
        console.log(`当前页: `,val);
        this.currentPage = val;
        this.getListData();
      },
      // 查看
      handleEdit(index, row) {
        let self = this;
        let newData = {
          title:"编辑",
          type:"2",
          userId:row.userId,
          userName:row.userName,
          list:[
            {
              name:"姓名",
              value:row.nickName,
            },
            {
              name:"性别",
              value:row.sex=="0"?"男":"女",
              list:["男","女"]
            },
            {
              name:"机构",
              value:row.dept.deptName,
              list:[]
            },
            {
              name:"岗位",
              value:"请选择",
              list:[]
            },
            {
              name:"手机号",
              value:row.phonenumber,
            },
            {
              name:"账户名",
              value:row.userName,
            },
            {
              name:"角色名称",
              value:row.roleName,
              list:[]
            },
            {
              name:"状态",
              value:row.status==0?true:false,
              switch:true
            },
            {
              name:"默认密码",
              value:"123456",
              textType:true,
            }
          ]
        };
        for(let i=0;i<self.institutionsList.length;i++){
          newData.list[2].list.push(self.institutionsList[i].deptName);
        }
        for(let i=0;i<self.roleList.length;i++){
          newData.list[6].list.push(self.roleList[i].roleName);
        }
        for(let i=0;i<self.postBottomListData.length;i++){
          newData.list[3].list.push(self.postBottomListData[i].postName);
          if(row.postId == self.postBottomListData[i].postId){
            newData.list[3].value = self.postBottomListData[i].postName;
          }
        }

        this.newModifyData = {...newData};
        this.newModifyPageType = !this.newModifyPageType;
      },
      //删除
      handleDelete(index, row) {
        this.windowData = {
          type:"1",
          title:"提示",
          text:"确定要删除这条信息吗?",
          leftButton:"取消",
          rightButton:"确定",
          cType:"2",
          newId:row.userId
        };
        this.windowType = !this.windowType;
      },
      //勾选
      handleSelectionChange(val) {
        this.multipleSelection = val;
        this.tableNum = this.multipleSelection.length
      },
      //返回当前页面 供子页面调用
      outPage(){
        this.pageType = !this.pageType;
      },
      //弹窗组件左侧按钮方法-对应取消方法
      windowLeftClick(){
        this.windowType = !this.windowType;
      },
      //弹窗组件右侧按钮方法
      windowRightClick(data){
        this.windowType = false;
        if(data.cType==1){
          this.clickAllDel();
        }else if(data.cType==2){
          this.clickDel(data.newId);
        }
      },
    }
  }
</script>

<style scoped lang="stylus">
  .max-big-box
    display flex
    flex-direction column
    flex:1;
    .big-max-box
      display flex
      flex-direction column
      flex:1;
      //搜索与操作按钮
      .top-box
        height:30px;
        display flex
        .input-box
          width:1370px;
          display flex
          margin-left:105px;
          .search-input
            height:28px;
            width:290px;
            border:1px solid $theme;
            padding-left:10px;
          .dropdown-box
            display flex
            color:$color_ff;
            z-index:1;
            margin-left:30px;
            .dropdown-left-title
              line-height:30px;
              font-size:$font_14;
            .dropdown-right-box
              font-size:$font_12;
              .dropdown-text
                width:160px;
                height:30px;
                line-height:30px;
                background:url("~@/assets/images/button_15.png");
                background-size:100% 100%;
              .dropdown-for-max
                background:$backColor1;
                border-bottom-right-radius 4px
                border-bottom-left-radius 4px
                p
                  width:160px;
                  height:30px;
                  line-height:30px;
                .color-A
                  /*
                  background:$backColor2 !important;
                  color:$color_ff !important;
                  */
                  color:$theme !important;
                  border-bottom-right-radius 4px
                  border-bottom-left-radius 4px
          .time-box
            width:349px;
            display flex
            margin-left:20px;
            p
              color:$color_ff;
            p:nth-child(1)
              width:82px;
              line-height:30px;
              font-size:$font_14;
            p:nth-child(2)
              width:120px;
              height:30px;
              background url("~@/assets/images/button_08.png")
              background-size 100% 100%
              font-size:$font_12;
              line-height:30px;
            p:nth-child(3)
              width:27px;
              line-height:30px;
            p:nth-child(4)
              width:120px;
              height:30px;
              background url("~@/assets/images/button_08.png")
              background-size 100% 100%
              line-height:30px;
              font-size:$font_12;
          .button-box
            margin-left:32px;
            display flex
            height:30px;
            width:80px;
            background:url("~@/assets/images/button_03.png");
            background-size:100% 100%;
            img
              display block
              height:20px;
              width:20px;
              margin:5px 6px 0 13px;
            p
              line-height:30px;
              font-size:$font_12;
              color:$color_ff;
        .add-button
          width:110px;
          height:30px;
          background:url("~@/assets/images/button_06_1.png");
          background-size:100% 100%;
          line-height:30px
          color:$color_ff;
          font-size:$font_12;
          padding-left:44px;
          text-align left
        .del-button
          margin-left:30px;
          width:110px;
          height:30px;
          background:url("~@/assets/images/button_05_1.png");
          background-size:100% 100%;
          line-height:30px
          color:$color_ff;
          font-size:$font_12;
          padding-left:41px;
          text-align left
        .text-p
          width:90px;
          color:$color_ff;
          line-height:30px
          font-size:$font_12;
      //表格
      .table-box
        width:1710px !important;
        margin:20px 105px;
        text-align center !important
        .table-min-button
          width:140px;
          margin:0 auto;
          display flex
          div:nth-child(1)
            height:20px;
            width:60px;
            font-size:$font_14;
            color:$theme;
            display flex
            margin-right:11px;
            img
              display block
              height:20px;
              width:20px;
              margin-right:4px;
          div:nth-child(2)
            height:20px;
            width:60px;
            font-size:$font_14;
            color:$theme3;
            display flex
            img
              display block
              height:20px;
              width:20px;
              margin-right:4px;
      //时间日历
      .time-max-big-box
        z-index 6
        height:100%;
        width:100%;
        position: absolute
        top:0;
        left:0;
        background:rgba(0,0,0,0.3);
        .time-big-box
          z-index 6
          height:750px;
          width:660px;
          position: absolute
          top:50%;
          left:50%;
          transform :translate3d(-50%,-50%,0)
          margin:auto;
          background $color_ff
          border-radius:8px;
          border:4px solid $theme;
          .button-box
            display flex
            color:$color_ff;
            width:390px;
            margin:20px auto;
            p:nth-child(1)
              height:30px;
              line-height:30px;
              width:120px;
              background:url("~@/assets/images/button_10.png");
              background-size 100% 100%
            p:nth-child(2)
              margin-left:20px;
              height:30px;
              line-height:30px;
              width:120px;
              background:url("~@/assets/images/button_05.png");
              background-size 100% 100%
            p:nth-child(3)
              margin-left:20px;
              height:30px;
              line-height:30px;
              width:120px;
              background:url("~@/assets/images/button_02.png");
              background-size 100% 100%
  //修改日期选择样式
  /*
  .el-calendar
    background $color_ff
  */
  //修改table表格样式
  .el-table
    background rgba(6,177,240,0.2)
  .el-table /deep/ tr
  .el-table /deep/ th
    background rgba(6,177,240,0)
  .el-table::before
    height:0;
  .el-table /deep/ .cell
    max-height:46px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
  .el-table /deep/ .cell
    max-height:46px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
  .el-table /deep/ td
  .el-table /deep/ th.is-leaf
    border-bottom:0!important;
  .el-table /deep/ .el-checkbox__inner
    //background rgba(6,177,240,0.2)
    border 1px solid #216f93 !important
  .el-table /deep/ thead
    color:$color_ff;
  .el-table
    color:$color_a1
  .el-table /deep/ th
    text-align-last: center;
  .el-table /deep/ td
    text-align-last: center;
  .el-table /deep/ tbody tr:hover > td
    background rgba(6,177,240,0.2)
    color:$theme;
  .el-table /deep/ .el-checkbox
    width:14px;
    margin:0 auto;
    display block
  //修改动作条样式
  .el-pagination.is-background /deep/ .btn-next
  .el-pagination.is-background /deep/ .btn-prev
  .el-pagination.is-background /deep/ .el-pager li
    background:url("~@/assets/images/button_13.png");
    color:$color_ff;
  .el-pagination.is-background /deep/ .el-pager li:not(.disabled).active
    background:url("~@/assets/images/button_14.png");
    color:$color_ff;
  .colorA
    color :$theme;
  ::-webkit-input-placeholder
    color: $border_1;
  ::-moz-placeholder
    color: $border_1;
  ::-ms-input-placeholder
    color: $border_1;
</style>
